#autocomplete-results {
    display: none;
    position: absolute;
    z-index: 1000;
    background: white;
    width: 99%; /* Default for larger screens */
    border: 1px solid #ddd;
    max-height: 200px;
    overflow-y: auto;
}

#autocomplete-results .list-group-item:hover {
    cursor: pointer;
    background-color: #f1f1f1;
}

/* Responsive design for smaller screens */
@media (max-width: 768px) {
    #autocomplete-results {
        width: 100%; /* Ensures it takes the full width of the container on small screens */
        left: 0; /* Aligns it with the container's left edge */
    }
}
